Page MenuHomePhabricator

Upgrade gerrit to latest 2.8.x (minor version upgrade)
Closed, DeclinedPublic

Description

Released yesterday, contains several fixes some of us are interested in, e.g. for the new change screen (http://etherpad.wikimedia.org/p/new-gerrit-change-view-comments ); in particular https://code.google.com/p/gerrit/issues/detail?id=2428 .

The full list of issues fixed since 2.8.1 should be https://code.google.com/p/gerrit/issues/list?can=1&q=label%3AFixedIn-2.8.4+OR+label%3AFixedIn-2.8.3+OR+label%3AFixedIn-2.8.2+OR+label%3AFixedIn-2.8.5+OR+label%3AFixedIn-2.8.6&colspec=ID+Type+Stars+Milestone+Status+Priority+Owner+Summary&cells=tiles

If going to the latest minor release is too exciting, at least upgrade to 2.8.2 which fixed the most egregious bugs. https://code.google.com/p/gerrit/issues/list?can=1&q=label%3AFixedIn-2.8.2&colspec=ID+Type+Stars+Milestone+Status+Priority+Owner+Summary&cells=tiles


Version: unspecified
Severity: enhancement
See Also: T70271

Details

Reference
bz63847

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:18 AM
bzimport added a project: Gerrit.
bzimport set Reference to bz63847.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Apr 12 2014, 8:22 AM

Just got a series of good news:

Updates:

Status: Released

Affected issues:

issue 348: Comment on a patchset should be linkable/bookmarkable
  http://code.google.com/p/gerrit/issues/detail?id=348

issue 2527: [New change screen] No links to gitblit anywhere
  http://code.google.com/p/gerrit/issues/detail?id=2527

issue 2528: [New change screen] Confusing how to publish inline comments
  http://code.google.com/p/gerrit/issues/detail?id=2528

issue 2530: [New change screen] No way to diff ignoring whitespace changes
  http://code.google.com/p/gerrit/issues/detail?id=2530

issue 93: Display inline file comments below change message in ChangeScreen
  http://code.google.com/p/gerrit/issues/detail?id=93

https://code.google.com/p/gerrit/issues/list?can=1&q=label%3AFixedIn-2.8.4+OR+label%3AFixedIn-2.8.3+OR+label%3AFixedIn-2.8.2+OR+label%3AFixedIn-2.8.5&colspec=ID+Type+Stars+Milestone+Status+Priority+Owner+Summary&cells=tiles

https://gerrit-documentation.storage.googleapis.com/ReleaseNotes/ReleaseNotes-2.8.5.html

2.9:
https://code.google.com/p/gerrit/issues/list?can=1&q=label%3AFixedIn-2.9
https://gerrit-documentation.storage.googleapis.com/ReleaseNotes/ReleaseNotes-2.9.html

Upgrade to gerrit 2.9 got WONTFIXed at bug 68271.
So, I doubt that 2.9 will happen soon for us.

gerrit 2.8.x would be easier, but if we upgrade, we should rather use

2.8.6 since it had the SSHD issue (bug 53895) fixed that we'd

otherwise have to patch in. But as 2.8.6 is broken, 2.8.6.1 would be
the only viable option.

But as it seems that wmf's investment in gerrit more or less stopped,
I am not sure if 2.8.6.1 would happen. I'll have to leave it to others
to decide.

(FWIW, I've been told that it's unlikely for 2.8.x to happen
after 2.8.6.1.)

(If we do upgrade, we should include
I9a7e42e53f8c7ac746af45967beac380705a2711, which fixes bug 67866 for
us)

(In reply to christian from comment #2)

Upgrade to gerrit 2.9 got WONTFIXed at bug 68271.
So, I doubt that 2.9 will happen soon for us.

Ah ok, reducing scope of this bug again.

Change 150596 had a related patch set uploaded by Paladox:
Upgrade gerrit to 2.8.6.1

https://gerrit.wikimedia.org/r/150596

Change 150596 abandoned by Paladox:
Upgrade gerrit to 2.8.6.1

https://gerrit.wikimedia.org/r/150596

I understand that Chad is busy/fed up with gerrit and I think ops should take care of gerrit, but I don't understand what condemns us to reach the day of phabricator migration with a 15+ months old release of gerrit.

2.8.2–6 include benefits for all users, like a race condition fix, group/project list pagination, respect of MySQL hard limit, replication plugin, sshd; countless fixes for those who are using the new change screen (disclosure: I am, for performance reasons); and no changes for those who don't, AFAICS.

Unless release notes lie,

Doesn't sound painful at first sight, though of course I'm not an op etc.

Nemo_bis updated the task description. (Show Details)Feb 18 2015, 11:04 AM
Nemo_bis set Security to None.
Nemo_bis added a project: acl*sre-team.
Paladox renamed this task from Upgrade gerrit to 2.8.6 to Upgrade gerrit to 2.8.6.1.Apr 18 2015, 2:12 PM
demon removed a subscriber: demon.Apr 18 2015, 6:47 PM

Gerrit release 2.11 adds another really really useful feature, inline editing, which allows you to create changes within the browser without cloning the repo or checkout the change itself. I know, that we're planing to migrate gerrit to phabricators Differential, but it would be a very nice and (like i said) useful feature in gerrit, which (as far as i know) doesn't exist in Differential at the moment (see T409: Editing files and contributing changes via web, and it seems, see the discussion on the upstream task, that this feature will not arrive in Differential in the next time). In my point of view it would be a step backwards if Gerrit now (after a long long time of user wishes, i think) get's a web based editor and we move to Differential, which doesn't support this feature and doesn't has the plan to implement it.

Another point is, that i don't see a real roadmap for the migration (i read some tasks and haven't found one to implement a testing environment to show the code-review process, which wasn't resolved so far and was planned for last xyear september iirc, but i doesn't find it again :/). So, should we re-consider to upgrade gerrit? That would make it possible to resolve T71445: Implement a sane code-review process for MediaWiki JS/CSS pages on Wikimedia sites.

But there is a (maybe) bad thing with Gerrit 2.11: The old (actual default) change screen was removed iirc, so the new change screen is the default, see for information https://gerrit-review.googlesource.com/Documentation/user-review-ui.html.

I'd like the upgrade to 2.11 to be reconsidered. But it is also a question of finding someone who does the work. So lets first find someone to do the work of upgrading to 2.8.6.1.

But there is a (maybe) bad thing with Gerrit 2.11: The old (actual default) change screen was removed iirc, so the new change screen is the default

Good, it's already way better than the old one in the ancient beta version we're running, and I heard that the issues it has got ironed out. I'd also love if the upgrade (any upgrade) happened.

I'd like the upgrade to 2.11 to be reconsidered. But it is also a question of finding someone who does the work. So lets first find someone to do the work of upgrading to 2.8.6.1.

Not really needed, we're already using gerrit release 2.8.x (2.8.1), which would allow us to directly upgrade to 2.11, see https://gerrit-documentation.storage.googleapis.com/ReleaseNotes/ReleaseNotes-2.11.html

(let's adjust the title of this task to "Upgrade gerrit", because it seems, that we are currently not really sure, _if_ we can/should/want upgrade gerrit at all :))

But there is a (maybe) bad thing with Gerrit 2.11: The old (actual default) change screen was removed iirc, so the new change screen is the default

Good, it's already way better than the old one in the ancient beta version we're running, and I heard that the issues it has got ironed out. I'd also love if the upgrade (any upgrade) happened.

+1, i tested it locally and it's a big improvement, still a "new" thing, but you find all needed things very fast :)

matmarex renamed this task from Upgrade gerrit to 2.8.6.1 to Upgrade gerrit (to 2.8.6.1? to 2.11?).May 7 2015, 1:22 PM

The request for 2.11 should be moved to T70271. This report is for requesting a minor version upgrade within 2.8.x.

Nemo_bis renamed this task from Upgrade gerrit (to 2.8.6.1? to 2.11?) to Upgrade gerrit to 2.8.6.1.May 7 2015, 1:24 PM
Nemo_bis renamed this task from Upgrade gerrit to 2.8.6.1 to Upgrade gerrit to latest 2.8.x (minor version upgrade).

Even if we upgrade straight to 2.11 we still would need to find someone who has the time and will to do it.

Paladox added a subscriber: Paladox.May 7 2015, 3:24 PM

Hi why not ask the person who did the upgrade on gerrit on Wikimedia to see if he/she will do it again but to 2.11.

Ltrlg added a subscriber: Ltrlg.May 14 2015, 12:53 PM

Read email that says gerrit will be down for updating java because it fixes security problems. perfect time to update gerrit to latest 2.8.x update.

Or upgrading to 2.9.

jayvdb added a subscriber: jayvdb.Jun 11 2015, 11:30 PM
Nemo_bis updated the task description. (Show Details)Sep 4 2015, 7:19 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 7:19 AM
greg lowered the priority of this task from Medium to Low.Sep 10 2015, 9:07 PM
greg added a subscriber: greg.

Reducing priority as the energy spent on code-review tools in the near term (ie: for the next two quarters) will be spent on migrating to Differential from Gerrit (in lieu of upgrading Gerrit itself before then).

I'm not sure, if Differential is really the best code-review tool we could have, but this is another question.

Reducing priority as the energy spent on code-review tools in the near term (ie: for the next two quarters) will be spent on migrating to Differential from Gerrit (in lieu of upgrading Gerrit itself before then).

This has been said for over a year, now we are running code review on 2 years old code.

Dzahn added a comment.Sep 11 2015, 6:00 AM

I kind of expected that T112025 raised the priority a bit.

greg added a comment.Sep 11 2015, 3:24 PM

I kind of expected that T112025 raised the priority a bit.

If we have to, we have to. I would prefer a solution that is minimal (upgrading the libraries or whatever) versus upgrading all of Gerrit.

greg raised the priority of this task from Low to Medium.Sep 11 2015, 3:24 PM

Normal prio until we figure out the ssh issue.

demon closed this task as Declined.Dec 3 2015, 5:21 PM
demon claimed this task.

Upgrading to a later 2.8 wouldn't be useful at all.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptDec 3 2015, 5:21 PM